aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakob Unterwurzacher2016-01-23 19:33:03 +0100
committerJakob Unterwurzacher2016-01-23 19:33:03 +0100
commit4a1768a3145d8df415e60c0cab3425c0d50eb46d (patch)
tree972fd442da5a64f25fb4ccf86583cfe9264f67d1
parentea38ff4e0bd39f08907239d2f482d95aa38893c0 (diff)
Automate standard performance tests
-rw-r--r--Documentation/performance.txt19
-rwxr-xr-xbenchmarks-external.bash34
2 files changed, 44 insertions, 9 deletions
diff --git a/Documentation/performance.txt b/Documentation/performance.txt
index df8c04f..75c26d9 100644
--- a/Documentation/performance.txt
+++ b/Documentation/performance.txt
@@ -3,16 +3,17 @@ The used test archive is https://www.kernel.org/pub/linux/kernel/v3.0/linux-3.0.
(mirror: http://ftp.linux.org.uk/pub/linux/linux-3.0/linux-3.0.tar.gz).
The archive is placed on tmpfs as well.
-
+WRITE: dd if=/dev/zero of=zero bs=128K count=1000
UNTAR: time tar xfz ../linux-3.0.tar.gz
LS: time ls -lR linux-3.0 > /dev/null
RM: time rm -Rf linux-3.0
-VERSION UNTAR LS RM
-v0.4 48 1.5 5
-v0.5-rc1 56 7 19
-v0.5-rc1-1 54 4.1 9
-v0.5-rc1-2 45 1.7 3.4
-v0.6 47 1.8 4.3
-v0.7 43 1.7 4.3
-v0.7.2 26 1.8 4.3
+VERSION WRITE UNTAR LS RM
+v0.4 48 1.5 5
+v0.5-rc1 56 7 19
+v0.5-rc1-1 54 4.1 9
+v0.5-rc1-2 45 1.7 3.4
+v0.6 47 1.8 4.3
+v0.7 43 1.7 4.3
+v0.7.2 26 1.8 4.3
+v0.8 23 1.8 4.3
diff --git a/benchmarks-external.bash b/benchmarks-external.bash
new file mode 100755
index 0000000..f48c7ac
--- /dev/null
+++ b/benchmarks-external.bash
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -eu
+
+TIME="/usr/bin/time -f %e"
+
+# Setup
+cd /tmp
+wget -q -c https://www.kernel.org/pub/linux/kernel/v3.0/linux-3.0.tar.gz
+DIR1=$(mktemp -d)
+DIR2=$(mktemp -d)
+gocryptfs -q -init -extpass="echo test" $DIR1
+gocryptfs -q -extpass="echo test" $DIR1 $DIR2
+cd $DIR2
+echo
+
+# Benchmarks
+echo -n "WRITE: "
+dd if=/dev/zero of=zero bs=128K count=1000 2>&1 | tail -n 1
+rm zero
+sleep 1
+echo -n "UNTAR: "
+$TIME tar xzf ../linux-3.0.tar.gz
+sleep 1
+echo -n "LS: "
+$TIME ls -lR linux-3.0 > /dev/null
+sleep 1
+echo -n "RM: "
+$TIME rm -Rf linux-3.0
+
+# Cleanup
+cd ..
+fusermount -u $DIR2 -z
+rm -Rf $DIR1 $DIR2